質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.12%

vagrant+centos6にmysqlをインストールしようとするとエラーが出る

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,328

yoheisugiyama

score 11

すみません、初心者です。vagrant+centos6にmysqlをインストールすると以下の通りエラーが出るのですが、どなたか解決方法をご教示いただけないでしょうか?

[vagrant@localhost ~]$ sudo rpm -Uvh http://dev.mysql.com/get/mysql57-community-release-el6-11.noarch.rpm
http://dev.mysql.com/get/mysql57-community-release-el6-11.noarch.rpm を取得中
警告: /var/tmp/rpm-tmp.5Iv17p: ヘッダ V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
準備中... ########################################### [100%]
1:mysql57-community-relea########################################### [100%]
[vagrant@localhost ~]$ sudo yum install mysql mysql-devel mysql-server mysql-utilities
読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
Loading mirror speeds from cached hostfile

  • base: www.ftp.ne.jp
  • epel: mirror.premi.st
  • extras: www.ftp.ne.jp
  • updates: ftp.iij.ad.jp
    パッケージ mysql は mysql-community-client によって不要になりました。代わりに mysql-community-client-5.7.19-1.el7.x86_64 のインストールを試みています。
    パッケージ mysql-devel は mysql-community-devel によって不要になりました。代わりに mysql-community-devel-5.7.19-1.el7.x86_64 のインストールを試みています。
    パッケージ mysql-server は mysql-community-server によって不要になりました。代わりに mysql-community-server-5.7.19-1.el7.x86_64 のインストールを試みています。
    依存性の解決をしています
    --> トランザクションの確認を実行しています。
    ---> Package mysql-community-client.x86_64 0:5.7.19-1.el7 will be インストール
    --> 依存性の処理をしています: mysql-community-libs(x86-64) >= 5.7.9 のパッケージ: mysql-community-client-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-client-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libc.so.6(GLIBC_2.14)(64bit) のパッケージ: mysql-community-client-5.7.19-1.el7.x86_64
    ---> Package mysql-community-devel.x86_64 0:5.7.19-1.el7 will be インストール
    ---> Package mysql-community-server.x86_64 0:5.7.19-1.el7 will be インストール
    --> 依存性の処理をしています: mysql-community-common(x86-64) = 5.7.19-1.el7 のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libnuma.so.1(libnuma_1.2)(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libnuma.so.1(libnuma_1.1)(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libc.so.6(GLIBC_2.17)(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libsasl2.so.3()(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libnuma.so.1()(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    ---> Package mysql-utilities.noarch 0:1.6.5-1.el7 will be インストール
    --> 依存性の処理をしています: python(abi) = 2.7 のパッケージ: mysql-utilities-1.6.5-1.el7.noarch
    --> 依存性の処理をしています: mysql-connector-python >= 2.0.0 のパッケージ: mysql-utilities-1.6.5-1.el7.noarch
    --> トランザクションの確認を実行しています。
    ---> Package mysql-community-client.x86_64 0:5.7.19-1.el7 will be インストール
    --> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-client-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libc.so.6(GLIBC_2.14)(64bit) のパッケージ: mysql-community-client-5.7.19-1.el7.x86_64
    ---> Package mysql-community-common.x86_64 0:5.7.19-1.el7 will be インストール
    ---> Package mysql-community-libs.x86_64 0:5.7.19-1.el7 will be インストール
    --> 依存性の処理をしています: libc.so.6(GLIBC_2.14)(64bit) のパッケージ: mysql-community-libs-5.7.19-1.el7.x86_64
    ---> Package mysql-community-server.x86_64 0:5.7.19-1.el7 will be インストール
    --> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libc.so.6(GLIBC_2.17)(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    --> 依存性の処理をしています: libsasl2.so.3()(64bit) のパッケージ: mysql-community-server-5.7.19-1.el7.x86_64
    ---> Package mysql-connector-python.x86_64 0:2.1.7-1.el7 will be インストール
    --> 依存性の処理をしています: python(abi) = 2.7 のパッケージ: mysql-connector-python-2.1.7-1.el7.x86_64
    ---> Package mysql-utilities.noarch 0:1.6.5-1.el7 will be インストール
    --> 依存性の処理をしています: python(abi) = 2.7 のパッケージ: mysql-utilities-1.6.5-1.el7.noarch
    ---> Package numactl.x86_64 0:2.0.9-2.el6 will be インストール
    --> 依存性解決を終了しました。
    エラー: パッケージ: mysql-community-client-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: libc.so.6(GLIBC_2.14)(64bit)
    エラー: パッケージ: mysql-community-libs-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: libc.so.6(GLIBC_2.14)(64bit)
    エラー: パッケージ: mysql-utilities-1.6.5-1.el7.noarch (mysql-tools-community)
    要求: python(abi) = 2.7
    インストール: python-2.6.6-66.el6_8.x86_64 (@base)
    python(abi) = 2.6
    利用可能: python34-3.4.5-2.el6.i686 (epel)
    python(abi) = 3.4
    エラー: パッケージ: mysql-connector-python-2.1.7-1.el7.x86_64 (mysql-connectors-community)
    要求: python(abi) = 2.7
    インストール: python-2.6.6-66.el6_8.x86_64 (@base)
    python(abi) = 2.6
    利用可能: python34-3.4.5-2.el6.i686 (epel)
    python(abi) = 3.4
    エラー: パッケージ: mysql-community-server-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
    エラー: パッケージ: mysql-community-client-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
    エラー: パッケージ: mysql-community-server-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: libsasl2.so.3()(64bit)
    エラー: パッケージ: mysql-community-server-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: libc.so.6(GLIBC_2.17)(64bit)
    エラー: パッケージ: mysql-community-server-5.7.19-1.el7.x86_64 (mysql57-community)
    要求: systemd
    問題を回避するために --skip-broken を用いることができません
    これらを試行できます: rpm -Va --nofiles --nodigest
    ```
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

どのようなボックスを利用されているかわからないですが
一応、一般的なバージョン5.7のインストール方法を記載しておきます。

クリーンアップ

色々環境が汚れてそうなので可能であれば今の仮想マシンを廃棄して再構築してください。
無理なら、すでにインストールされたmysqlを削除してください。

インストール
sudo yum localinstall mysql57-community-release-el6-11.noarch.rpm
sudo yum install mysql-community-server


↑で無理なら

sudo yum --enablerepo='mysql57-community*' install mysql-community-server


↑で無理なら不足しているライブラリを入れる必要があるので別途お知らせください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

yum install http://dev.mysql.com/get/mysql-community-release-el6-11.noarch.rpm

でもNGでしたが、

yum -y install mysql-server

でやってみたら、インストールできました。

とにかく、
http://dev.mysql.com/get/mysql-community-release-el6-11.noarch.rpm
へのアクセスを拒まれている感じでした。

不思議です。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/08/27 10:56 編集

    それってバージョン5.7じゃないと思うんですが良かったんですかね?

    キャンセル

  • 2017/08/27 11:36

    ありがとうございます! バージョン5.7にしたかったのですが、とりあえずは大丈夫ですので、またご案内いただいた方法で試してみます!!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る